<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:phrases" pagination="1" grid="Phrases" prefix="phrases.st" title_preset="phrases_list_st"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				set_hidden_field('remove_specials[phrases.st]', 1);
  				std_edit_item('phrases.st', 'languages/phrase_edit');
  			}

  			var a_toolbar = new ToolBar();
					a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewPhrase" escape="1"/>::<inp2:m_phrase label="la_Add" escape="1"/>',
							function() {
								var $phrase = prompt('Enter Phrase name:', '');
								if (!$phrase) {
									return ;
								}

								$url_mask = '<inp2:m_Link template="regional/phrases_edit" m_opener="d" phrases_label="#PHRASE_NAME#" phrases_event="OnNew" pass="all,phrases" js_escape="1" no_amp="1"/>';
								direct_edit('phrases', $url_mask.replace('#PHRASE_NAME#', $phrase));
							}
						)
					);

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('phrases.st')
						} ) );


				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="phrases.st" grid="Phrases"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="phrases.st" IdField="PhraseId" grid="Phrases" menu_filters="yes"/>
<script type="text/javascript">
	Grids['phrases.st'].SetDependantToolbarButtons( new Array('edit','delete','primary_language','export_language') );
</script>

<inp2:m_include t="incs/footer"/>